{
    "path": "$OET_PATH/testcases/function_test/pkg_test/emacs/emacs-terminal",
    "machine num": 1,
    "cases": [
        {
            "name": "test_emacs-terminal_emacs-terminal",
            "desc": "测试不带任何参数执行emacs-terminal命令"
        },
        {
            "name": "test_emacs-terminal_emacs-terminal__v",
            "desc": "测试emacs-terminal命令的-v参数"
        },
        {
            "name": "test_emacs-terminal_emacs-terminal__upper_v",
            "desc": "测试emacs-terminal命令的-V参数"
        },
        {
            "name": "test_emacs-terminal_emacs-terminal__num_1",
            "desc": "测试emacs-terminal命令的-1参数"
        },
        {
            "name": "test_emacs-terminal_function_install",
            "desc": "测试emacs-terminal软件包能否正常安装"
        },
        {
            "name": "test_emacs-terminal_function_uninstall",
            "desc": "测试emacs-terminal软件包能否正常卸载"
        },
        {
            "name": "test_emacs-terminal_function_help",
            "desc": "测试emacs-terminal命令的帮助信息"
        },
        {
            "name": "test_emacs-terminal_function_version",
            "desc": "测试emacs-terminal命令的版本信息"
        },
        {
            "name": "test_emacs-terminal_function_open_term",
            "desc": "测试emacs-terminal打开终端"
        },
        {
            "name": "test_emacs-terminal_function_open_file",
            "desc": "测试emacs-terminal打开指定文件"
        },
        {
            "name": "test_emacs-terminal_function_batch_mode",
            "desc": "测试emacs-terminal批处理模式"
        },
        {
            "name": "test_emacs-terminal_function_daemon",
            "desc": "测试emacs-terminal守护进程模式"
        }
    ]
}